%global srcname sphinxcontrib-zopeext

Name:           python-%{srcname}
Version:        0.3.2
Release:        1%{?dist}
Summary:        Sphinx extension for documenting Zope interfaces

License:        BSD
URL:            https://pypi.org/project/sphinxcontrib-zopeext/
Source0:        %pypi_source
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist poetry}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist wheel}
BuildRequires:  %{py3_dist zope.interface}

%description
This sphinx extension provides an autointerface directive for Zope
interfaces.

%package     -n python3-%{srcname}
Summary:        Sphinx extension for documenting Zope interfaces

# This can be removed when Fedora 36 reaches EOL
Obsoletes:      python3-j1m.sphinxautointerface < 0.3.0-15

%description -n python3-%{srcname}
This sphinx extension provides an autointerface directive for Zope
interfaces.

%prep
%autosetup -n %{srcname}-%{version}

# Workaround for older importlib-metadata in F35
sed -i 's/4\.8\.1/4.6.3/g' PKG-INFO pyproject.toml

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/sphinxcontrib/zopeext/
%{python3_sitelib}/sphinxcontrib_zopeext-%{version}.dist-info/

%changelog
* Thu Jan  6 2022 Jerry James <loganjerry@gmail.com> - 0.3.2-1
- Version 0.3.2

* Wed Jan  5 2022 Jerry James <loganjerry@gmail.com> - 0.3.1-1
- Version 0.3.1
- Do not install sphinxcontrib/__init__.py (bz 2036438)

* Thu Dec 23 2021 Jerry James <loganjerry@gmail.com> - 0.3.0-1
- Version 0.3.0
- Remove %%check for now; nox is required but unavailable

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.2.4-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 15 2020 Jerry James <loganjerry@gmail.com> - 0.2.4-2
- Be more specific about owned directories
- Drop the deprecated pytest-runner BR and remove the dep from setup.py

* Mon Jun 15 2020 Jerry James <loganjerry@gmail.com> - 0.2.4-1
- Initial RPM
